import json
import sys

# Precautions
if len(sys.argv) != 4:
    print("Usage: python script_name.py input_filename.json multiplication_factor")
    sys.exit(1)

# Variables (Using fish shell $argv, modify if needed)
input_filename = sys.argv[1]
block_name = sys.argv[2]
multiplication_factor = float(sys.argv[3])

# Read the JSON data from the file
with open(input_filename, 'r') as file:
    data = json.load(file)

# Modify the "val" values
for block in data["Blocks"]:
    block[block_name] *= multiplication_factor

# Write the updated JSON to the output file
output_filename = "out.json"
# input_filename.rsplit(".bak", 1)[0]
with open(output_filename, 'w') as out_file:
    json.dump(data, out_file, indent=2)

print(f"Updated data written to {output_filename}")
